org.minidns.record

## Class OPENPGPKEY

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.OPENPGPKEY

-     public class OPENPGPKEY
      extends Data

  DNS OPENPGPKEY record payload for OpenPGP public keys.
  Associates OpenPGP public keys with domain names for secure email and code signing applications.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OPENPGPKEY(byte[] publicKeyPacket)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getPublicKeyPacket()`
    `String` | `getPublicKeyPacketBase64()`
    `Record.TYPE` | `getType()` The payload type.
    `static OPENPGPKEY` | `parse(DataInputStream dis, int length)`
    `void` | `serialize(DataOutputStream dos)` The internal method used to serialize Data subclasses.
    `String` | `toString()`

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OPENPGPKEY

          OPENPGPKEY(byte[] publicKeyPacket)

  - ### Method Detail

    - #### getPublicKeyPacket

          public byte[] getPublicKeyPacket()

    - #### getPublicKeyPacketBase64

          public String getPublicKeyPacketBase64()

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static OPENPGPKEY parse(DataInputStream dis,
                                         int length)
                                  throws IOException

      Throws:
        `IOException`

    - #### serialize

          public void serialize(DataOutputStream dos)
                         throws IOException

      Description copied from class: `Data`
      The internal method used to serialize Data subclasses.
      Specified by:
        `serialize` in class `Data`
      Parameters:
        `dos` - the output stream to serialize to.
      Throws:
        `IOException` - if an I/O error occurs.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`